<?php
require "../../config/koneksi.php";
require "../../vendor/autoload.php";
require("../../config/function.php");

use PhpOffice\PhpSpreadsheet\Helper\Sample;
use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

$kelas=$_GET['kelas'];
$mapel=$_GET['mapel'];

 

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setCreator('Edi Sukarna')
->setLastModifiedBy('Edi Sukarna')
->setTitle('Office 2007 XLSX')
->setSubject('Office 2007 XLSX')
->setDescription('Test document for Office 2007 XLSX.')
->setKeywords('office 2007 openxml php')
->setCategory('Test result file');

$spreadsheet->getActiveSheet()->getStyle('A4:T4')
    ->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_WHITE);

    $spreadsheet->getActiveSheet()->getStyle('A4:T4')->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()->setARGB('FFFF0000');

$spreadsheet->setActiveSheetIndex(0)
->setCellValue('E1', "INFORMASI")
->setCellValue('E2', "Isikan Nilai Pada LM sesuai Jumlah LM pada menu Lingkup Materi")
->setCellValue('E3', "TERIMA KASIH TELAH MENGGUNAKAN APLIKASI SISKOLAH / DILARANG MERUBAH FORMAT")
;

$spreadsheet->setActiveSheetIndex(0)
->setCellValue('A4', "KHP")
->setCellValue('B4', "ID")
->setCellValue('C4', "Kelas")
->setCellValue('D4', "Mapel") 
->setCellValue('E4', "Nama Siswa")
->setCellValue('F4', "LM1")
->setCellValue('G4', "LM2")
->setCellValue('H4', "LM3")
->setCellValue('I4', "LM4")
->setCellValue('J4', "LM5")
->setCellValue('K4', "LM6")
->setCellValue('L4', "LM7")
->setCellValue('M4', "LM8")
->setCellValue('N4', "LM9")
->setCellValue('O4', "LM10")
->setCellValue('P4', "LM11")
->setCellValue('Q4', "LM12")
->setCellValue('R4', "LM13")
->setCellValue('S4', "LM14")
->setCellValue('T4', "LM15")
;


$i=5; 
$no=1; 
$sql = mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_kelas='$kelas' ");
while($row = mysqli_fetch_array($sql)){ 
$spreadsheet->setActiveSheetIndex(0)
	->setCellValue('A'.$i, 'SAM')
	->setCellValue('B'.$i, $row['id_siswa'])
	->setCellValue('C'.$i, $row['id_kelas'])
	->setCellValue('D'.$i, $mapel)
	->setCellValue('E'.$i, $row['nama'])
	->setCellValue('F'.$i, "")
	->setCellValue('G'.$i, "")
	->setCellValue('H'.$i, "")
	->setCellValue('I'.$i, "")
	->setCellValue('J'.$i, "")
	->setCellValue('K'.$i, "")
	->setCellValue('L'.$i, "")
	->setCellValue('M'.$i, "")
	->setCellValue('N'.$i, "")
	->setCellValue('O'.$i, "")
	->setCellValue('P'.$i, "")
	->setCellValue('Q'.$i, "")
	->setCellValue('R'.$i, "")
	->setCellValue('S'.$i, "")
	->setCellValue('T'.$i, "")
		;
	
	$i++; $no++;
}

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setWidth(35); 
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('I')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('J')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('M')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('N')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('O')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('P')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('Q')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('R')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('S')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('T')->setWidth(5); 
$spreadsheet->getActiveSheet()->setTitle('Sumatif-'.$mapel);

$spreadsheet->setActiveSheetIndex(0);


header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header("Content-Disposition: attachment; filename=Format Nilai Sumatif Akhir Lingkup Materi Kelas $kelas Mapel $mapel.xlsx");
header('Cache-Control: max-age=0');

header('Cache-Control: max-age=1');


header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); 
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); 
header('Cache-Control: cache, must-revalidate'); 
header('Pragma: public');

$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('php://output');

?>
